<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_Position_Area StructType
 * @subpackage Structs
 */
class Get_Position_Area extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The PositionAreaSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\PositionAreaSelection
     */
    public $PositionAreaSelection;
    /**
     * Constructor method for Get_Position_Area
     * @uses Get_Position_Area::setLogin()
     * @uses Get_Position_Area::setPositionAreaSelection()
     * @param \StructType\Login $login
     * @param \StructType\PositionAreaSelection $positionAreaSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\PositionAreaSelection $positionAreaSelection = null)
    {
        $this
            ->setLogin($login)
            ->setPositionAreaSelection($positionAreaSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_Position_Area
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get PositionAreaSelection value
     * @return \StructType\PositionAreaSelection|null
     */
    public function getPositionAreaSelection()
    {
        return $this->PositionAreaSelection;
    }
    /**
     * Set PositionAreaSelection value
     * @param \StructType\PositionAreaSelection $positionAreaSelection
     * @return \StructType\Get_Position_Area
     */
    public function setPositionAreaSelection(\StructType\PositionAreaSelection $positionAreaSelection = null)
    {
        $this->PositionAreaSelection = $positionAreaSelection;
        return $this;
    }
}
